## org.apache.commons.math
Class ConvergenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FractionConversionException, MaxEvaluationsExceededException, MaxIterationsExceededException, OptimizationException

    public class ConvergenceException

extends MathException

Error thrown when a numerical computation can not be performed because the numerical result failed to converge to a finite value.

Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`ConvergenceException()` Default constructor.
`ConvergenceException(java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message.
`ConvergenceException(java.lang.Throwable cause)` Create an exception with a given root cause.
`ConvergenceException(java.lang.Throwable cause, java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message and root cause.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### ConvergenceException

    public ConvergenceException()

  Default constructor.

### ConvergenceException

    public ConvergenceException(java.lang.String pattern,
                                java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

### ConvergenceException

    public ConvergenceException(java.lang.Throwable cause)

  Create an exception with a given root cause.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown

### ConvergenceException

    public ConvergenceException(java.lang.Throwable cause,
                                java.lang.String pattern,
                                java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

Copyright (c) 2003-2010 Apache Software Foundation